%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define build_with_firefox 1

%define with_python 1
%{?_with_python: %global with_python 1}
%{?_without_python: %global with_python 0}

# Build with mozilla instead of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}

Summary: GNOME web browser based on the mozilla rendering engine
Name: epiphany
Version: 2.16.0
%define subrel 8
Release: %mkrel 4
License: GPL
Group: Networking/WWW
URL: http://www.gnome.org/projects/epiphany/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.9.2-2mdk fix defaults settings
Patch1:	epiphany-1.6.4-defaults.patch.bz2
# (fc) 1.4.6-2mdk default bookmarks
Patch6: epiphany-1.9.4-defaultbookmarks.patch.bz2
# (fc) 1.8.5-4mdk set urpmi and bundles mimetypes as safe (Mdk bug #21892)
Patch9: epiphany-1.8.5-urpmi.patch.bz2
# (fc) 2.15.92-2mdv always enable pango
Patch10: epiphany-2.15.92-enablepango.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{build_with_firefox}
BuildRequires: mozilla-firefox-devel
%else
BuildRequires: mozilla-devel
%endif
%if %{with_python}
BuildRequires: pygtk2.0-devel >= 2.7.1
BuildRequires: gnome-python
%endif
BuildRequires: gtk2-devel >= 2.9.0
BuildRequires: gnome-desktop-devel >= 2.10.0
BuildRequires: libglade2.0-devel >= 2.3.1
BuildRequires: iso-codes
BuildRequires: libgnomeprintui-devel
BuildRequires: libxslt-devel
BuildRequires: dbus-devel >= 0.35
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: automake1.9
BuildRequires: librsvg
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils

Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Provides:       webclient
Requires: gnome-doc-utils >= 0.3.2
Requires: indexhtml
Requires: iso-codes
Requires: dbus-x11
%if %{build_with_firefox}
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}
%else
Requires: mozilla = %(rpm -q mozilla --queryformat %{VERSION})
%endif
Provides: pyphany
Obsoletes: pyphany

%description
Epiphany is a GNOME web browser based on the mozilla
rendering engine.
The name meaning:
"An intuitive grasp of reality through
something (as an event) usually simple and striking"

%package devel
Group: Development/C
Summary: Header files for developing with Epiphany
Requires: libxml2-devel
Requires: libgnomeui2-devel
Requires: libglade2.0-devel
Requires: dbus-devel

%description devel

This contains the C headers required for developing with Epiphany.

%prep
%setup -q
%patch1 -p1 -b .defaults
%patch6 -p1 -b .defaultbookmarks
%patch9 -p1 -b .urpmi
%patch10 -p1 -b .enablepango

# fix build
aclocal-1.9 -I m4
automake-1.9
autoconf

%build

%configure2_5x \
%if %{build_with_firefox}
--with-mozilla=mozilla-firefox \
%endif
%if %{with_python}
--enable-python \
%endif
--disable-filepicker --enable-dbus --disable-scrollkeeper

#remove generated files which shouldn't have been put in the tarball
make clean

%make

%install
rm -rf $RPM_BUILD_ROOT %{name}-2.0.lang

%makeinstall_std

%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Internet/Web Browsers" \
	title="Epiphany Web Browser" \
	longtitle="Browse the web" \
	command="%{_bindir}/epiphany" \
	icon="web-browser.png" \
	startup_notify="true" \
	xdg="true"
?package(%{name}):\
	needs="X11" \
	section="Internet/Web Browsers" \
	title="Epiphany Bookmarks Editor" \
	longtitle="Browse and organize your bookmarks" \
	command="%{_bindir}/epiphany --bookmarks-editor" \
	icon="epiphany-bookmarks.png" \
	startup_notify="true" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/art/epiphany-bookmarks.png %buildroot%_liconsdir/epiphany-bookmarks.png
convert -resize 32x32 data/art/epiphany-bookmarks.png %buildroot%_iconsdir/epiphany-bookmarks.png
convert -resize 16x16 data/art/epiphany-bookmarks.png %buildroot%_miconsdir/epiphany-bookmarks.png

mkdir -p %buildroot%{_datadir}/pixmaps
cp /usr/share/icons/gnome/24x24/apps/web-browser.png %buildroot%{_datadir}/pixmaps/epiphany.png

mkdir -p  %buildroot%{_libdir}/epiphany/1.9/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas epiphany epiphany-lockdown epiphany-pango epiphany-fonts

%post
%{update_scrollkeeper}
%post_install_gconf_schemas %{schemas}
if [ "$1" = "2" ]; then
update-alternatives --remove webclient-gnome %{_bindir}/epiphany
update-alternatives --remove webclient-kde %{_bindir}/epiphany
fi
%update_icon_cache hicolor

%{update_menus}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_scrollkeeper}
%{clean_menus}
%clean_icon_cache hicolor


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING.README COPYING README TODO NEWS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_mandir}/man1/%name.1*
%{_datadir}/applications/*
%{_datadir}/epiphany
%{_datadir}/icons/hicolor/48x48/apps/*
%dir %{_datadir}/omf/epiphany
%{_datadir}/omf/epiphany/epiphany-C.omf
%if %{with_python}
%{_datadir}/pygtk/2.0/defs/*
%endif
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_datadir/pixmaps/*.png
%_libdir/epiphany

%files devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/epiphany
%_datadir/aclocal/*.m4

%changelog
* Thu Dec 13 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.8mdv2007.0
- rebuild against firefox 2.0.0.11

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.7mdv2007.0
- rebuild against firefox 2.0.0.6

* Mon Jul 23 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.6mdv2007.0
- rebuild against firefox 2.0.0.5

* Thu Jun 07 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.5mdv2007.0
- rebuild against firefox 1.5.0.12

* Tue Feb 27 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.4mdv2007.0
- rebuild against firefox 1.5.0.10

* Mon Jan 22 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.3mdv2007.0
- rebuild for x86_64 which got linked against firefox 1.5.0.8

* Wed Jan 10 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-4.2mdv2007.0
- rebuild against firefox 1.5.0.9

* Wed Nov 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-4mdv2007.0
- Register fonts and pango schemas
- Update patch9 to disable warning for pango

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Rebuild with new firefox
- Remove patch8, bug fixed at firefox level

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- copy web-browser.png as epiphany.png to fix launcher created with 
  old versions of the package

* Sun Sep 03 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Mon Aug 28 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-2mdv2007.0
- Patch9: always enable pango
- no longer requires mozilla-firefox package itself

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- update patch 8
- New release 2.15.92

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-3mdv2007.0
- fix patch 8 again

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-2mdv2007.0
- fix patch 8

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- rebuild for new firefox

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2007.0
- Rebuild with latest dbus

* Sun Jul 30 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-2mdv2007.0
- remove icon
- rebuild for new firefox

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- update patch 8
- depend on dbus-x11
- New release 2.15.4

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-2mdv2007.0
- Switch to XDG menu
- use new macros
- Change menu icons

* Sun Jun 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- drop patch 10
- rediff patch 8
- New release 2.15.3

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2
- Regenerate patch8
- Patch10 (CVS): fix bookmark crash (GNOME bug #343922)

* Mon Jun 05 2006 Götz Waschk <waschk@mandriva.org> 2.14.2.1-1mdv2007.1
- Rebuild

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2.1-1mdv2007.0
- New release 2.14.2.1

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-1mdk
- New release 2.14.1.1

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-4mdk
- rebuild for new firefox

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- rebuild for new firefox

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Fix build

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Regenerate patches 6, 8
- Remove patch7 (merged upstream)

* Fri Apr 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.5-4mdk
- Patch9: set urpmi and bundles as safe mimetypes (Mdk bug #21892)

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.5-3mdk
- Patch8: remove firefox part of useragent, Java crashes if it is 
  too long (GNOME bug #330231)

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.5-2mdk
- Fix buildrequires
- Fix gnome-doc-utils requires/buildrequires
- allow to disable python support

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 1.8.5-1mdk
- New release 1.8.5

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 1.8.4.1-1mdk
- New release 1.8.4.1

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.3-6mdk
- rebuild for new mozilla-firefox

* Tue Jan 31 2006 Gtz Waschk <waschk@mandriva.org> 1.8.3-5mdk
- provide and obsolete pyphany

* Thu Jan 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-4mdk
- Rebuild with new dbus

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-3mdk
- Patch7: fix gecko detection broken by multiarch
- Rebuild with FF 1.5

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-2mdk
- Don't enforce mozilla/firefox version in the spec file, only
  enforce the version used at build time (easier backport, idea 
  from lifeara package)

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.3-1mdk
- New release 1.8.3

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.8.2-7mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-6mdk
- rebuild for new firefox

* Mon Oct 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-4mdk
- Fix extensions directory location in package

* Sun Oct 09 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.2-3mdk
- add BuildRequires: gnome-doc-utils

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-1mdk
- Release 1.8.2
- Remove patches 8, 11, 12, 13 (merged upstream)

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-6mdk 
- Fix url
- Add requires_exception to prevent from asking mozilla

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-5mdk 
- Update patch6 with new bookmarks
- Remove patch5, no longer needed

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- rebuild to remove glitz dep

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk 
- Patch13 (CVS): don't loose selection when switching between tabs

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-2mdk 
- Patch12: fix error when installing schema

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- replace prereq
- drop patches 12,13
- update patch 8
- New release 1.6.5

* Mon Aug 01 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-8mdk 
- Fix patch6 (Mdk bug #17147)
- Patch13 (CVS): fix choosing homepage in preferences

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-7mdk 
- Update patch6 with correct url for our websites
- Merge patch13 in patch1 and change default download dir to desktop

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-6mdk 
- Patch13 : add find in the default loaded extensions

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-5mdk 
- Patch12 (CVS): fix focus behaviour

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Rebuild with FF 1.0.6
- Update icons (Mdk bug #17055)

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix devel deps

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable dbus

* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-5mdk 
- Rebuild with FF 1.0.4

* Tue May 03 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-4mdk
- add BuildRequires: gnome-common (needed when running autoconf)

* Mon May 02 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-3mdk 
- Fix build on x86-64
- only apply patch5 on x86

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Add dependencies on iso-codes package

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-3mdk
- fix buildrequires

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-2mdk 
- Oops, fix forgotten macro

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-1mdk 
- Release 1.6.2 (based on Gtz Waschk package)
- Regenerate patches 5 & 8
- Remove patches 7, 9, 10 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-8mdk 
- Patch11 (CVS): disable Firefox image resizing

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-7mdk 
- Rebuild for FF 1.0.2

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-6mdk 
- Update patch7
- Patch8 (CVS): fix various crashes
- Patch9 (CVS): fix pointer grab

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-5mdk 
- own extensions dir (Mdk bug #14421)

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.4.8-4mdk
- rebuild for new mozilla-firefox

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-3mdk 
- Drop webclient-gnome/kde alternatives

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-2mdk 
- Now build with firefox as backend, instead of mozilla
- Patch7 (CVS): fix typeahead with firefox
- Patch8: accept mozilla-firefox as product

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.8-1mdk
- New release 1.4.8

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-3mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.7-1mdk
- New release 1.4.7

* Mon Nov 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.6-2mdk
- Patch6: add default bookmarks
- Disable epiphany filechooser, use Mozilla one (ie GTK2 one now)

* Mon Nov 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.6-1mdk
- New release 1.4.6

* Sun Nov 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- add the man page
- remove unpackaged files
- New release 1.4.5

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- bump mozilla version
- fix omf file listing
- New release 1.4.4
- Remove patches 6 & 7, 8 (merged upstream)

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-4mdk
- Update patch 7 (drop one patch, cause warning)
- Patch8 (CVS): add always fullscreen mode
- Install lockdown schema too

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-3mdk
- Patch7 (CVS): various bug fixes

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Rebuild with mozilla 1.7.2

* Mon Aug 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- New release 1.2.8

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.7-2mdk
- Remove patch 0 (handled by mozilla now)

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-3mdk
- Add lang tag to omf file

* Wed Jun 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-2mdk
- Rebuild against mozilla 1.7 final

* Mon Jun 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- New release 1.2.6

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-2mdk
- reallow libtoolize
- rebuild for new g++

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- fix buildrequires again
- New release 1.2.5

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.4-3mdk
- fix buildrequires

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Rebuild for Mozilla 1.7

* Tue Apr 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-2mdk
- fix devel requires, according to the pkgconfig file

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2 (with Gtz help)
- fix buildrequires
- drop patches 2,3,4
- devel package requires new glib
- fix file list
- Patch6 : fix parallel build

* Tue Mar 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-7mdk
- Patch5 (galeon): Add gcc2 ABI for old plugin (Realplayer)

* Mon Mar 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-6mdk
- Update patch0 to workaround flash plugin performance bug (Mdk bug #8325)

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-5mdk
- Patch3 (CVS): fix various crashes
- Patch4 : fix translations in xml files

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-4mdk
- Patch2 (Galeon): keep primary selection from location bar when switching tab

* Wed Feb 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-3mdk
- Fix weight for webclient alternative, since Epiphany is now GNOME default browser.

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.7-2mdk
- fix buildrequires
- drop useless patch 2

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7 (for mozilla 1.6)

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.6-4mdk
- rebuild for new pkgconfig Requires

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Rebuild for moz 1.5

* Fri Nov 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Rebuild for moz 1.4.1

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- patch for new mozilla
- new version

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Provides webclient 
- Patch1 : fix default home 

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.4-1mdk
- Release 0.8.4

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.3-1mdk
- Release 0.8.3

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- rebuild for new mozilla

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- add missing file
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add a devel package
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-5mdk
- don't deinstall schemas on update

* Sat Jul  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-4mdk
- add plugin path to the startup script (Reinout van Schouwen)

* Fri Jul  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-3mdk
- Rebuild against mozilla 1.4
- Always remove schema at preun time, otherwise we might not remove old keys when upgrading

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- move the schema uninstallation to preun, else the files are already removed

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add an uninstallation rule for the gconf schemas, please test
- new version

* Sun Jun 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- new version

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- new version

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- work around gcc 3.3 changes to make it compile

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- fix the rpmlint warnings
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Rebuild against mozilla 1.4beta

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- First Mandrake package
